package com.gic.evaluate.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.evaluate.dto.EvaluateDTO;
import com.gic.evaluate.dto.MemberReplyDTO;
import com.gic.evaluate.qo.EvaluateQO;

/**
 * 评价管理好办接口
 * @Description:
 * @author zhiwj
 * @date 2019-12-27 9:20
 */
public interface EvaluateHaobanApiService {

    /**
     * 同步评价
     * @Title: saveEvaluate
     * @Description:
     * @author zhiwj
     * @param evaluateDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveEvaluate(EvaluateDTO evaluateDTO);

    /**
     * 会员追评
     * @Title: saveReview
     * @Description:
     * @author zhiwj
     * @param memberReplyDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> saveReply(MemberReplyDTO memberReplyDTO);

    /**
     * 查询门店下的所有评价（仅包含展示的）
     * @Title: listEvaluateByStore
     * @Description:
     * @author zhiwj
     * @param evaluateQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.evaluate.dto.EvaluateDTO>>
     * @throws
     */
    ServiceResponse<Page<EvaluateDTO>> listEvaluateByStore(EvaluateQO evaluateQO);

    /**
     * 查询会员提的所有评价（包含 展示和未展示）
     * @Title: listEvaluateByMember
     * @Description:
     * @author zhiwj
     * @param evaluateQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.evaluate.dto.EvaluateDTO>>
     * @throws
     */
    ServiceResponse<Page<EvaluateDTO>> listEvaluateByMember(EvaluateQO evaluateQO);


}
