package com.gic.evaluate.dao.mapper;

import com.gic.evaluate.entity.TabEvaluate;
import com.gic.evaluate.qo.EvaluateQO;
import com.github.pagehelper.Page;

public interface TabEvaluateMapper {
    /**
     * 根据主键删除
     *
     * @param evaluateId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer evaluateId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEvaluate record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEvaluate record);

    /**
     * 根据主键查询
     *
     * @param evaluateId 主键
     * @return 实体对象
     */
    TabEvaluate selectByPrimaryKey(Integer evaluateId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEvaluate record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEvaluate record);

    Page<TabEvaluate> listEvaluate(EvaluateQO evaluateQO);
}