package com.gic.evaluate.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.constants.Constants;
import com.gic.evaluate.constant.ComputeEnum;
import com.gic.evaluate.dao.mapper.TabEvaluateMapper;
import com.gic.evaluate.dto.EvaluateDTO;
import com.gic.evaluate.entity.TabEvaluate;
import com.gic.evaluate.qo.EvaluateQO;
import com.gic.evaluate.service.EvaluateService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-27 9:54
 */
@Service
public class EvaluateServiceImpl implements EvaluateService {

    @Autowired
    private TabEvaluateMapper tabEvaluateMapper;

    @Override
    public Page<TabEvaluate> listEvaluate(EvaluateQO evaluateQO) {
        if (evaluateQO.getGoodsType() != null) {
            evaluateQO.setGoodsCompute(ComputeEnum.parseCodeToCompute(evaluateQO.getGoodsType()));
        }
        if (evaluateQO.getStoreType() != null) {
            evaluateQO.setStoreCompute(ComputeEnum.parseCodeToCompute(evaluateQO.getStoreType()));
        }
        if (evaluateQO.getServiceType() != null) {
            evaluateQO.setServiceCompute(ComputeEnum.parseCodeToCompute(evaluateQO.getServiceType()));
        }
        PageHelper.startPage(evaluateQO.getCurrentPage(), evaluateQO.getPageSize());
        return tabEvaluateMapper.listEvaluate(evaluateQO);
    }

    @Override
    public TabEvaluate getEvaluate(Integer enterpriseId, Integer evaluateId) {
        TabEvaluate evaluate = this.tabEvaluateMapper.selectByPrimaryKey(evaluateId);
        if (evaluate != null && Constants.NORMAL_STATUS.equals(evaluate.getStatus()) && evaluate.getEnterpriseId().equals(enterpriseId)) {
            return evaluate;
        }
        return null;
    }

    @Override
    public void saveEvaluate(EvaluateDTO evaluateDTO) {
        TabEvaluate evaluate = EntityUtil.changeEntityByJSON(TabEvaluate.class, evaluateDTO);
        tabEvaluateMapper.insertSelective(evaluate);
    }
}
