package com.gic.evaluate.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.evaluate.dto.BadEvaluateConfigDTO;
import com.gic.evaluate.dto.EvaluateOrderConfigDTO;
import com.gic.evaluate.entity.TabBadEvaluateConfig;
import com.gic.evaluate.entity.TabEvaluateOrderConfig;
import com.gic.evaluate.service.EvaluateConfigApiService;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.evaluate.service.BadEvaluateConfigService;
import com.gic.evaluate.service.EvaluateOrderConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-25 17:41
 */
@Service("evaluateConfigApiService")
public class EvaluateConfigApiServiceImpl implements EvaluateConfigApiService {

    @Autowired
    private EvaluateOrderConfigService evaluateOrderConfigService;
    @Autowired
    private BadEvaluateConfigService badEvaluateConfigService;


    @Override
    public ServiceResponse<Void> init(Integer enterpriseId) {
        if (evaluateOrderConfigService.getEvaluateOrderConfig(enterpriseId) == null) {
            evaluateOrderConfigService.init(enterpriseId);
        }
        if (badEvaluateConfigService.getBadEvaluateConfig(enterpriseId) == null) {
            badEvaluateConfigService.init(enterpriseId);
        }
        return EnterpriseServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> updateEvaluateOrderConfig(EvaluateOrderConfigDTO evaluateOrderConfigDTO) {
        evaluateOrderConfigService.updateOrderConfig(evaluateOrderConfigDTO);
        return EnterpriseServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> updateBadEvaluateConfig(BadEvaluateConfigDTO badEvaluateConfigDTO) {
        badEvaluateConfigService.updateBadEvaluateConfig(badEvaluateConfigDTO);
        return EnterpriseServiceResponse.success();
    }

    @Override
    public ServiceResponse<EvaluateOrderConfigDTO> getEvaluateOrderConfig(Integer enterpriseId) {
        TabEvaluateOrderConfig evaluateOrderConfig = evaluateOrderConfigService.getEvaluateOrderConfig(enterpriseId);
        return EnterpriseServiceResponse.success(EntityUtil.changeEntityByJSON(EvaluateOrderConfigDTO.class, evaluateOrderConfig));
    }

    @Override
    public ServiceResponse<BadEvaluateConfigDTO> getBadEvaluateConfig(Integer enterpriseId) {
        TabBadEvaluateConfig badEvaluateConfig = badEvaluateConfigService.getBadEvaluateConfig(enterpriseId);
        return EnterpriseServiceResponse.success(EntityUtil.changeEntityByJSON(BadEvaluateConfigDTO.class, badEvaluateConfig));
    }
}
